Package org.italiangrid.voms

# Class VOMSError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.italiangrid.voms.VOMSError

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FilePermissionError`, `VOMSProtocolError`

public class VOMSError extends RuntimeException
The base VOMS exception class.

Author:
  Andrea Ceccanti
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VOMSError(String message)`
`VOMSError(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VOMSError

public VOMSError(String message)

### VOMSError

public VOMSError(String message, Throwable cause)